package com.atmob.keyboard_android.util.bridge.enums

/**
 * 暴露给Flutter的原生方法名
 */
enum class ExposeNativeMethod(val methodName: String) {
    /**
     * 获取平台版本
     */
    GET_PLATFORM_VERSION("getPlatformVersion"),

    /**
     * 初始化插件
     */
    INIT_PLUGIN("initPlugin"),

    /**
     * 开启或关闭悬浮窗
     */
    ENABLE_FLOATING_WINDOW("enableFloatingWindow"),

    /**
     * 跳转到系统的悬浮窗设置页
     */
    JUMP_FLOATING_WINDOW_SETTING("jumpFloatingWindowSetting"),

    /**
     * 是否开启了悬浮窗权限
     */
    HAS_FLOATING_WINDOW_PERMISSION("hasFloatingWindowPermission"),

    /**
     * 打开输入法设置
     */
    OPEN_INPUT_METHOD_SETTINGS("openInputMethodSettings"),

    /**
     * 判断指定的输入法是否启用
     */
    IS_TARGET_KEYBOARD_ENABLED("isTargetKeyboardEnabled"),

    /**
     * 是否是默认输入法
     */
    IS_DEFAULT_KEYBOARD("isDefaultKeyboard"),

    /**
     * 更新键盘信息
     */
    UPDATE_KEYBOARD_INFO("updateKeyboardInfo"),

    /**
     * 刷新人设列表
     */
    REFRESH_CHARACTER_LIST("refreshCharacterList"),

    /**
     * 登录成功\退出登录\注销账号,刷新用户数据
     */
    REFRESH_DATA("refreshData");
}